Version française
Home     About     Download     Resources     Contact us    
Browse thread
[Caml-list] mod_caml makes Apache segfault
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Alan Schmitt <alan.schmitt@p...>
Subject: Re: [Caml-list] mod_caml makes Apache segfault
* Richard Jones (rich@annexia.org) wrote:
> On Mon, Sep 06, 2004 at 05:50:41PM +0200, Alan Schmitt wrote:
> > Hi,
> > 
> > In order to play with cocanwiki, I am currently trying to get mod_caml 
> > to work on a server here (Fedora Core 1, Apache 2.0.50).
> 
> Hi Alan,
> 
> First thing to say is that there is a show-stopper bug in Apache 2
> which prevents modules which use PCRE from working.  mod_caml is one
> of those modules:
> 
> http://issues.apache.org/bugzilla/show_bug.cgi?id=27550
> 
> If you want to see this bug fixed, please add your comments to that
> page.
> 
> There are suggestions on that page for compiling a version of Apache
> which doesn't cause conflicting symbols, however it's probably a case
> of it's easier to use a version of Apache 1.3 precompiled for FC1,
> which definitely should work.

Thanks a lot for explaining this, I now understand the comment about 
problems using mod_caml with apache 2 on the cocanwiki page.

Unfortunately I don't think I can install apache 1.3 on this server as 
we're using apache 2 to serve our research lab website (I wanted to add 
a wiki to this site), and I don't think one can have both running at the 
same time. I'll try to find another machine to do this installation 
then.

Thanks again,

Alan Schmitt

-- 
The hacker: someone who figured things out and made something cool happen.
.O.
..O
OOO